Bug 1253162 - ClassCastException when kcontainer.updateToVersion() with sliding window rule running
ClassCastException when kcontainer.updateToVersion() with sliding window rule...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 03:13 EDT by Toshiya Kobayashi
Modified: 2015-10-08 10:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-881 Major Resolved ClassCastException when kcontainer.updateToVersion() with sliding window rule running 2016-02-08 20:51 EST

  None (edit)
Description Toshiya Kobayashi 2015-08-13 03:13:54 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-881


Steps to Reproduce:
1. See the reproducer in DROOLS-881
Comment 1 JBoss JIRA Server 2015-08-14 09:25:20 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-881 to Resolved
Comment 2 Mario Fusco 2015-08-17 08:31:01 EDT
Fixed by https://github.com/droolsjbpm/drools/commit/87993f55c
Comment 3 Marek Winkler 2015-10-08 10:57:36 EDT
Verified in BRMS 6.2.0 ER3 by checking that both the unit test and Toshiya's reproducer pass.

Note You need to log in before you can comment on or make changes to this bug.